Loyalty.lt
Coupons

List coupons

Returns the coupons issued for a shop, optionally filtered by customer, card or status.

GET/{locale}/shop/coupons

Returns the coupons issued for a shop, optionally filtered by customer, card or status.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Value in

  • "lt"
  • "en"

Query Parameters

shop_id*integer

Shop to list coupons for.

user_id?integer

Filter by customer.

card_id?integer

Filter by loyalty card.

status?string

Filter by state. Defaults to active.

Value in

  • "active"
  • "used"
  • "expired"
  • "all"
page?integer

Page number.

per_page?integer

Items per page, max 100.

Response Body

application/json

curl -X GET "https://example.com/lt/shop/coupons?shop_id=1"
{  "success": true,  "code": 200,  "request_id": "550e8400-e29b-41d4-a716-446655440000",  "message": "Success message",  "data": {}}